Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
naccmacc Posted on 23/03/2019 14:55
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message
 
All London Road terrace standing in front of main stand closed today on orders of chairman. He is completely out of touch with the fans. Some fans have been using that area for 70 years !
Makes the club a laughing stock.
IP: Logged
fossey Posted on 23/03/2019 15:09
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
I might ask for my refund for my saeson ticket for that reason stood down from the dugout for 20 years or more
IP: Logged
English_Sam Posted on 23/03/2019 15:25
Absolute disgrace
Edited On: 23/03/2019 15:26
Report Message | Email Message To A Friend | Reply To Message 

 
Another glaring example of the disconnect of the hierarchy from the fan base . Time to go for Blower and the major custodian
IP: Logged
silkmenman Posted on 23/03/2019 16:16
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Protest outside the main stand before the next home game? People running our club are clueless, no communication, greedy, self-centred tosspots
IP: Logged
Noburger Posted on 23/03/2019 17:02
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Decision had nothing to do with anyone at the club except the owner.
IP: Logged
MaccsBygraves Posted on 23/03/2019 17:17
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
What a f***ing coward. Theyíd better open for the Morecambe match in two weeks.
IP: Logged
English_Sam Posted on 23/03/2019 17:30
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
It is for the rest of the season
IP: Logged
imlosingit Posted on 23/03/2019 17:39
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Owner has no consideration for the fans what so ever..if it's closed for the rest of the season then that's me finished with the club .
IP: Logged
English_Sam Posted on 23/03/2019 18:05
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Alkadhi said today it is closed for the season and itís his decision. Horses mouth for those who want to know the source
IP: Logged
maccman Posted on 23/03/2019 18:39
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
I donít stand on the London Road side,so this doesnít effect me, but it seems a very poor decision to alienate a group of our most passionate supporters. If the owner canít take any criticism, then heís in the wrong job. The only plus I can see is it could create a better atmosphere in the SLE assuming he hasnít cheesed them off to the extent they donít bother to attend at all.
IP: Logged
blues_bro Posted on 23/03/2019 19:15
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Statement on OS now
IP: Logged
silkmenman Posted on 23/03/2019 19:22
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
The owner and chairmanís lack of communication and consideration for the fans has led to this. They have themselves to blame. Get them out!!!
IP: Logged
blues_bro Posted on 23/03/2019 19:25
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
V disappointed. I always stand on LR and prefer to be as close to half way as poss. Not good to be crammed into one small area near the corner and don't like watching from the SLE. Don't know whether to blame this on over-sensitive owners/officials or idiots that take abuse too far. I've personally only rarely witnessed the latter but maybe others can enlighten me.
IP: Logged
MaccsBygraves Posted on 23/03/2019 19:34
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
This has really p***ed me off. So if we need to win the last match of the season and thereís a big crowd, they still wonít open it???
IP: Logged
English_Sam Posted on 23/03/2019 19:35
Absolute disgrace
Edited On: 23/03/2019 20:13
Report Message | Email Message To A Friend | Reply To Message 

 
Not good. This board is the last bastion of support for the hierarchy from some long standing posters.No ctriticism there as we are all entitled to an opinion but you know when most are now having a pop that the tide is truly turning.

Time to go AA
IP: Logged
imlosingit Posted on 23/03/2019 20:01
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Amar can stick his support where the sun don't shine.absolute disrespectful to the loyal fans of the club.Amar please leave the club ASAP
IP: Logged
silkmenman Posted on 23/03/2019 20:46
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Leave AA, broken promises, no communication, get out of our club. Take your puppet Blower with you, no backbone. The club is being run in a way that doesnít include the fans unless asking for more money/SOS fund and itís an absolute disgrace. Time to protest!!
IP: Logged
leighmacc Posted on 23/03/2019 20:48
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
So rather than just making an announcement saying 'any more incidents and we'll close it' they decide to pi$$ off a couple of hundred fans with no warning - genius [|)]
IP: Logged
silkmenman Posted on 23/03/2019 20:55
Absolute disgrace
Edited On: 23/03/2019 20:56
Report Message | Email Message To A Friend | Reply To Message 

 
Thatís our club at the moment, itís so badly run that we donít operate like a normal, decent club should unfortunately. Or any decent business for that matter.

We have such a small fan base already, yet seem to pi$$ off most by making it hard to spend our money on the club. Money it badly needs. The lack of open communication is staggering. What is Blower being paid to do?
IP: Logged
boomer22 Posted on 23/03/2019 21:10
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Yes it is but letís remembe that this club belongs To the fans not some alien oligarch who canít even pay the bills. So regroup and get behind the TEAM.
IP: Logged
MenorahTableofShowbread Posted on 23/03/2019 21:12
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
They are offering a refund for ST holders but if anyone is dissatisfied, I would suggest they write to the club declining the offer, citing a breach of contract and asking that the club either honours the contract implicit in the sale of a FULL SEASON TICKET or returns the full value of the season ticket

IP: Logged
Paddysboyz Posted on 23/03/2019 22:22
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Today's events were utterly heartbreaking and completely stupefying when we re trying to fight our way to safety [:O].

This was a totally crass and ridiculous decision from the club, and I dread to think of the likely negative repercussions in the weeks and months to come [|)].

Kind regards

PB [smi].
IP: Logged
boomer22 Posted on 23/03/2019 23:01
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
We must try and educate the fans that this isnít he club the club is us and them itís one man who isnít even seen at the ground who is peeing everyone off Trump style.
IP: Logged
Skolender Posted on 23/03/2019 23:08
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Dont start giving the owner stick from the Star Lane End as he will close that next.
IP: Logged
onephilpower Posted on 23/03/2019 23:10
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Absolutely disgusting.one way to cause even further divide at a time everyone should be pulling in the same direction.

The whole season has been a shambles from Askey leaving because of circumstances behind the scenes, appointment of Yates, signing ineligible players to financial issues which are always circulating around us, players wages and Various other issues, Hardly a suprise we haven't been out of the bottom 2 all season, it's us the fans that have to suffer yet again, very sad state of affairs :(

IP: Logged
supermacc Posted on 23/03/2019 23:11
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
If there have been incidents of unacceptable behaviour they should be dealt at the time without penalising inoccent supporters who have turned up to support their team.

So what happens if similar problems occur in the Big Brand Ideas Stand?

Very poorly handled by the club and further loss of credibility Iím afraid 😟

IP: Logged
bollingtonblue Posted on 23/03/2019 23:32
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
I know what I am about to post here will not be popular with many, but I was at times very annoyed and embarrassed by the behaviour and language of a group of so called supporters who stood behind the home dugout. The abuse that they sometimes directed towards the visiting board members who are guests at Moss Rose was particularly appaling. In recent weeks similar verbal abuse was being regularly directed at the chairman and owner. All of this was taking place within the full earshot and sight of the whole London Road stand.
Over recent times various attempts have been made so stop this without success so I suppose this drastic latest move is the final result. It is a great shame for the many innocent regular supporters who stand on the London Road side, but I do have some sympathy for this move by the management.
Let's hope that those that have caused this response will come to their senses and see that their behaviour and language has impacted on a large number of fans.
IP: Logged
LancsMacc Posted on 24/03/2019 00:05
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
I don't agree with the decision at all, it seems unfair on those that enjoy watching from behind the dugouts, the majority of which are passionate well behaved fans. However if this area has to be closed until the end of the season, they should open the north section of the London Road terrace (between the away end & players tunnel). Not ideal but a compromise of sorts.
IP: Logged
MaccsBygraves Posted on 24/03/2019 01:02
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
I agree LancsMacc- ironically the north section of the LRT is probably where plenty of the people who stand in the mid section of the LRT used to stand before that was closed by the club a few years back [8)]
IP: Logged
flagwaver Posted on 24/03/2019 07:33
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
You are correct BB in saying that what you say will not be popular with many who post on this forum. However, I believe that you speak for the majority. The behaviour of some of our supporters at Bury a couple of weeks ago was embarrassing, and the behaviour of some of the people who had moved to SLE yesterday was XXXXXXic. We are all entitled to our opinion but when this descends to foul mouthed and threatening abuse then the club has every right to take some action. Whether they reacted in the correct way is not for me to judge but I can certainly sympathise with their feeling that they had endured enough.
IP: Logged
mike4macc Posted on 24/03/2019 07:40
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Is this why there was an enormous queue to buy tickets?
IP: Logged
Dobby Posted on 24/03/2019 07:48
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
I would like to add support for Bollingtonblue who has shown common sense as usual. Sadly, for a number of years there has been a tendency for a minority of football fans, not just Macc's, to believe that having paid their money entitles them to abuse players staff and opposition in a manner that would get them arrested if they did the same in a public place. Once again, it is the minority spoiling it for the majority.
Having said that, you would have thought that the owner or Chairman would have made one final warning to make it very clear to everyone that this would happen if the bad behaviour did not change. It is a shame that this should happen at a particularly sensitive stage of the club's fight for EFL survival.
IP: Logged
macc_blues Posted on 24/03/2019 08:06
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
If there's such a negative impact towards our current plight simply from the owner and chairman being in the Silk FM stand would it not be wiser for the two said individuals to move to another area of the ground (the car park??) instead of moving 400+ people and closing an entire stand??
IP: Logged
macchiavelli Posted on 24/03/2019 08:57
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
If the alleged problem has been apparent 'over the last few weeks' (quoting the OS), then why has it taken so long to react?

If this is a genuine issue, then surely the logical course of action would be to identify/eject/ban any proven offenders rather than just impose an arbitrary closure of the area.

IP: Logged
silkmanofHAT Posted on 24/03/2019 09:24
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
I always stand in Star Lane and sometimes the passion for my team boils over and I may be prone to utter an obscenity or two. I pay money into the club every game, buy scarves, replica shirts etc, I display the marketing in my workplace etc and I speak proudly and passionately outside if Moss Rose about my beloved SILKMEN. I am known as a strong supporter, a proud and dedicated fan etc and I genuinely love this club. I don't agree with abuse, and definitely not conflict and violence but if people don't want to hear that in the Star Lane End I suggest relocating to the McCalpine. This is a football ground, the very pulsing heart of our United Kingdom. The tribal, togetherness that football especially at a level such as ours brings means passion....therefore a degree of minor expletives will inevitably be part of the atmosphere. I often express my distaste vocally as well as my commebdstions. Yesterday I was met with accusing glances by some supporters who are of the opinion they are above all that. I suggest they wake up to the fact they are at a football match. I am genuinely heartbroken that our owner feels he must distance himself from unpopular opinion, it can't be good for the players or atmosphere. I just hope I win the lottery one day and can buy into our wonderful SILKMEN and change this attitude.
IP: Logged
Noburger Posted on 24/03/2019 09:49
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Chairman has had as much stick as anyone from those who stand on LR but this decision had nothing to do with him.
IP: Logged
Noburger Posted on 24/03/2019 09:49
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Chairman has had as much stick as anyone from those who stand on LR but this decision had nothing to do with him.
IP: Logged
Skolender Posted on 24/03/2019 09:55
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
SilkmanofHAT. Spot on Sir. I stand or should that be stood in LRT centre section for the last 35+ years. I dont recall hearing any abuse aimed at away directors or officials. The shouting is aimed at the owner and chairman. The owner has now reached such a low level of respect for the supporters of OUR club that he can do this at the drop of a hat. As was said to me yesterday by another 40+ year veteran , we have seen it all. Promotions , relegations , Wembley wins and big cup games. We dont go just to see us win , its about standing with friends and family in the same place. My 11 year old has has a season ticket and often brings friends who dont. What now for those fans of the future ? They cant come now as they wont be allowed to stand with us !! For those who know me , for me to be now thinking of asking for my money back...Im truly ashamed of the owner. Sadly he doesnt care .
IP: Logged
boomer22 Posted on 24/03/2019 09:59
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
A shotgun to kill a fly. Yes if itís individuals they can be warned and then removed not the whole lot. Also he wonít have to pay stewards for that part, coincidence? Loss of supporters will outweigh the cost I think.
IP: Logged
fossey Posted on 24/03/2019 10:21
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
The closure wont help with the atmosphere and at the end of the game when the players go into the tunnel the few that stay behind and cheer the players off wil not be there.I also feel sorry feel keiran for 45mins he will be to far away from us to spur him on when he makes a good save or when a goal is scored he cant come over to the fans because also nobody will be there
IP: Logged
madbrian Posted on 24/03/2019 15:30
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Amar you are a W anchor of the highest order

He has to go and cannot be allowed to do stunts like this anymore. The man is ill in the head

No prem games, a few extra home fans came and were treated to a queue for tickets and missed the first 15 mins and limited stands

Butch bar was half empty, people couldnít spend their money

We canít afford bills and wages, and the club was turning away trade and most likely future income yesterday

We are a laughing stock
IP: Logged
fishman Posted on 24/03/2019 15:54
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Until last season I was a senior supervisor at Man City. Abusive/anti social behaviour resulted in ejection and minimum 3 match ban. Only stewards with a SIA (door licence) are allowed to undertake this task. The number at Macc are I would suggest minimal
IP: Logged
fossey Posted on 24/03/2019 16:08
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Something could possibly happen if AA does not find a buyer and the relationship with the fans improve the closure will continue into next season.I have already bought a season ticket for london road as i have always stood near the tunnel i will ask the club to upgrade my ticket to the weston park stand and not charge me the differance lets see what happens
IP: Logged
mj87 Posted on 24/03/2019 17:55
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Why can't they just change the dugouts round and have the away manager where they used to be.
A lot of away managers didn't like the atmosphere but just got on with it
This closure has come from sol I believe
And might not of happened if he hadn't complained tbh askey didn't like it sometimes as well
To many managers behind the dugout who think they can do a better job
Its totally wrong to close London rd
What will happen last game of season and we need to win to stay up
Are you really going to turn fans away
Or just open the moss lane end which has less of an atmosphere
IP: Logged
leedsblue Posted on 25/03/2019 08:36
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Irrespective of whether it was the right or wrong thing to do, surely the club should have issued a warning first? At the very least this has been very badly handled.
IP: Logged
Fola Posted on 25/03/2019 08:54
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
I am absolutely disgusted by this. I have been standing behind the away dugout for 20 years now and now because our owner can't take a little bit of grief- he shuts it all down. This doubled by the fact that people were not allowed to go through to Butch's from the SLE- WTF was that all about?!

So what happens when it goes down to the last day against Cambridge and we have a bigger crowd? Will we have people queuing outside the ground for 20 mins after kick? Cramming into the SLE and that small side on the London Road? Surely this is a safety issue if so.

Also, the atmosphere on Saturday was terrible- it was so quiet it was like a pre season friendly. And that is all because of our owner. I literally cannot get my head round it- I am completely flabbergasted.
IP: Logged
Fola Posted on 25/03/2019 08:56
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Also MJ87, this hasn't come from Sol. Stop spouting rubbish. Their is a guy on the SLE FB who spoke to Amar and heard it from the horses mouth.

Sol Campbell has had some of the worst abuse in football from thousands and thousands- if you really believe the stand is closed because of Sol then you really do not have a clue.
IP: Logged
macchiavelli Posted on 25/03/2019 09:45
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Regardless of the rights and wrongs here, I would have to agree with Fola that it killed the atmosphere stone dead on Saturday.

I thought I had gone deaf!
IP: Logged
saltpie Posted on 25/03/2019 10:34
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
I don't think that this has come from Sol, if he moved to the other dug out and fans wanted to abuse him all they would have to do is move along the terrace to stand behind the dug out.
I think it has come from the owner and I feel that he has lost a lot of allies after his decision on Saturday.
IP: Logged
metz1984 Posted on 25/03/2019 13:17
Absolutly filthy way to treat fans

Report Message | Email Message To A Friend | Reply To Message 

 
What a filthy way to treat our most vocal and loyal fans.fans need to boycott for as long as it takes for the decision to be reversed.blackpool fans did it and eventually got rid of the oystens,we should do the same if they don't want out support then just attend the away games.ive been going since 1970 and never seen anything like this..Amar Blower etc out unbelievable
IP: Logged
English_Sam Posted on 25/03/2019 13:31
Absolutly filthy way to treat fans
Edited On: 25/03/2019 13:32
Report Message | Email Message To A Friend | Reply To Message 

 
One good thing to come out of recent events is that more people are beginning to realise what actually goes on regarding the running of the club. Fans need to stick together and do what they can to initiate change. There will always be differences of opinion on message boards but one thing we all have in common is the well being of MTFC. Can that be said of the owner and chairman. You decide.
IP: Logged
metz1984 Posted on 25/03/2019 18:50
Absolutly filthy way to treat fans

Report Message | Email Message To A Friend | Reply To Message 

 
Exactly ES..[^]
IP: Logged
boomer22 Posted on 25/03/2019 21:55
Absolutly filthy way to treat fans

Report Message | Email Message To A Friend | Reply To Message 

 
Only money will get them gone, so it's out of our hands it needs to come from some benefactors. Interestingly some Stoke firm is trying to buy Vale for £4m, where are our wealthy would be owners? Probably watching Man U or Man C.
IP: Logged
mj87 Posted on 26/03/2019 08:26
Absolutly filthy way to treat fans

Report Message | Email Message To A Friend | Reply To Message 

 
Fola i was told from someone who works with the players daily.
Maybe he's lying
And why hasn't this been closed in the past
Fans have been banned in the past for incidents with opposition directors
They could of closed it then
Amar and blower have had grief before
They didn't close it then
IP: Logged
macchiavelli Posted on 26/03/2019 09:46
Absolutly filthy way to treat fans
Edited On: 26/03/2019 09:47
Report Message | Email Message To A Friend | Reply To Message 

 
This is pure speculation, but I just wonder if there was a possibility of the League/FA authorities getting involved, and taking some action over the (alleged) abuse?

The prospect of a heavy fine or other penalties often helps to concentrate the mind regarding matters like this.
IP: Logged
leedsblue Posted on 26/03/2019 10:57
Absolutly filthy way to treat fans

Report Message | Email Message To A Friend | Reply To Message 

 
Quit the blaming of Sol, it's ridiculous!
IP: Logged
imlosingit Posted on 29/03/2019 13:12
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
If we lose tomorrow I dread to see what gate we will get next home game..
IP: Logged
bollingtonblue Posted on 29/03/2019 16:09
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
I do not think the result at Lincoln will have much effect on the crowd at the next home game. Nearly all our fans know that we have to win 4 or possibly 5 of our remaining fixtures and the home ones are the most likely to provide the points. Much also hinges on how many more points Yeovil and Notts County can accumulate.
IP: Logged
English_Sam Posted on 29/03/2019 17:14
Absolute disgrace
Edited On: 29/03/2019 17:21
Report Message | Email Message To A Friend | Reply To Message 

 
Pulling together ha ha,local radio reporting that salaries not paid again today. Still got people supporting this shower. No respect for manager, players and supporters, doesnít leave much else.
IP: Logged
metz1984 Posted on 29/03/2019 17:33
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
I have just heard myself,what a disgracefull way to run a business..hope the players refuse to play tomorrow..they must be XXXXXXed off now
IP: Logged
Silkmen12345 Posted on 29/03/2019 18:03
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
@macchiavelli - Amar was asked the question of whether there were orders from the FA to shut LRE before the game on Saturday. He told a number of outside of people outside the main stand that it was entirely his decision.

The lack of respect he has shown to players, staff and fans of this club in recent months is absolutely despicable.
IP: Logged
macchiavelli Posted on 29/03/2019 18:14
Absolute disgrace

Report Message | Email Message To A Friend | Reply To Message 

 
Fair enough. I suppose if there had been any FA involvement, it would have been referred to on the OS.
IP: Logged
metz1984 Posted on 29/03/2019 19:53
Bad gate on the cards

Report Message | Email Message To A Friend | Reply To Message 

 
Bollington blue also same night as Spurs city champion leauge and with all that's gone on in the last week potentially a really low crowd I will be watching the city game .at least you can sit where u want in your own privacy unlike some places....

IP: Logged
bollingtonblue Posted on 29/03/2019 20:49
Bad gate on the cards

Report Message | Email Message To A Friend | Reply To Message 

 
The next home games is on Saturday 6th April v Morecambe at 3pm. I would think a gate of 1800+ can be expected.
If I were AA and MB I would open up the London Road terrace but with a warning that any further unwanted behaviour could result in its closure again.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2019 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.103